/**
 * settings_xml.h: Stores and loads parameters from users to/from XML file
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef SETTINGS_XML_H
#define SETTINGS_XML_H

#include <string>
#include <list>

class cXmlconfig
{
public:
	static std::string LoadXmlfile( const std::string filename );
	static int Load(
			const std::string profilename,
			std::map<std::string,std::string> &ParameterMap,
			std::list<std::string> &FavouriteList
	);
	static int Save(
			const std::string profilename,
			std::map<std::string,std::string> ParameterMap,
			std::list<std::string> FavouriteList
	);
	static std::list<std::string> GetProfilenames( );
	static int DeleteProfile( const std::string profilename );
};

#endif // SETTINGS_XML_H
